GuideLab API

Create Sticker Template

Create a new sticker template with dimensions, template data, and optional category. If marked as default, unsets the previous default template. Lab-only operation.

POST
/sticker-templates

Create a new sticker template with dimensions, template data, and optional category. If marked as default, unsets the previous default template. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/sticker-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "templateData": {      "basePdf": "string",      "schemas": [        [          {            "property1": null,            "property2": null          }        ]      ],      "property1": null,      "property2": null    }  }'
{  "template": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "description": "string",    "width": "string",    "height": "string",    "templateData": {      "basePdf": "string",      "schemas": [        [          {            "property1": null,            "property2": null          }        ]      ],      "sampledata": [        {          "property1": null,          "property2": null        }      ],      "property1": null,      "property2": null    },    "previewImageKey": "string",    "isDefault": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty